Read a Spark appointment snapshot
curl --request GET \
--url https://api.sparkserv.com/public/v1/appointments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sparkserv.com/public/v1/appointments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sparkserv.com/public/v1/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sparkserv.com/public/v1/appointments/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sparkserv.com/public/v1/appointments/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sparkserv.com/public/v1/appointments/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sparkserv.com/public/v1/appointments/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dealership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"status": "Pending",
"appointmentAt": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>"
},
"vehicle": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"year": 123,
"make": "<string>",
"model": "<string>",
"vin": "<string>",
"mileage": 123
},
"department": {
"id": "<string>",
"name": "<string>"
},
"advisor": {
"id": "<string>",
"name": "<string>"
},
"transport": {
"id": "<string>",
"name": "<string>"
},
"comments": "<string>",
"services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"comments": "<string>"
}
]
}{
"statusCode": 400,
"code": "INVALID_INPUT",
"message": "Request validation failed"
}{
"statusCode": 401,
"code": "UNAUTHORIZED",
"message": "The request could not be completed"
}{
"statusCode": 403,
"code": "FORBIDDEN",
"message": "The request could not be completed"
}{
"statusCode": 404,
"code": "NOT_FOUND",
"message": "Resource not found"
}{
"statusCode": 500,
"code": "REQUEST_FAILED",
"message": "The request could not be completed"
}Appointments
Read a Spark appointment snapshot
Does not refresh the scheduler.
GET
/
appointments
/
{id}
Read a Spark appointment snapshot
curl --request GET \
--url https://api.sparkserv.com/public/v1/appointments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sparkserv.com/public/v1/appointments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sparkserv.com/public/v1/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sparkserv.com/public/v1/appointments/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sparkserv.com/public/v1/appointments/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sparkserv.com/public/v1/appointments/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sparkserv.com/public/v1/appointments/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dealership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"status": "Pending",
"appointmentAt": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"email": "<string>"
},
"vehicle": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"year": 123,
"make": "<string>",
"model": "<string>",
"vin": "<string>",
"mileage": 123
},
"department": {
"id": "<string>",
"name": "<string>"
},
"advisor": {
"id": "<string>",
"name": "<string>"
},
"transport": {
"id": "<string>",
"name": "<string>"
},
"comments": "<string>",
"services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"comments": "<string>"
}
]
}{
"statusCode": 400,
"code": "INVALID_INPUT",
"message": "Request validation failed"
}{
"statusCode": 401,
"code": "UNAUTHORIZED",
"message": "The request could not be completed"
}{
"statusCode": 403,
"code": "FORBIDDEN",
"message": "The request could not be completed"
}{
"statusCode": 404,
"code": "NOT_FOUND",
"message": "Resource not found"
}{
"statusCode": 500,
"code": "REQUEST_FAILED",
"message": "The request could not be completed"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Spark appointment UUIDv4
Response
Show child attributes
Show child attributes
Available options:
Pending, Canceled, Showed, Missed, Duplicate, Completed, Sold Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

